>> MIB - Management Information Base
>> Table: isdnDispatchTable - (.1.3.6.1.4.1.272.4.2.5.1)
Description: The isdnDispatchTable is the central distribution center for all incoming ISDN connections. Incoming ISDN connections are `dispatched' to a service (isdnDspItem) based on the calling party's number sent over the ISDN. Creating entries: Entries can be created by assigning a value to both the isdnDspStkNumber and isdnDspItem objects within one operation. Deleting entries: Entries are removed by setting the isdnDspItem to 'delete'.
isdnDispatchTable
OID | Name | Type | Access
.1 | StkNumber | INTEGER | RW
.2 | Item | ENUM | D
.3 | LocalNumber | DisplayString | RW
.4 | LocalSubaddress | OCTET STRING | RW
.5 | Bearer | ENUM | RW
.6 | Slot | INTEGER | RW
.7 | Unit | INTEGER | RW
.8 | Direction | ENUM | RW
.9 | Mode | ENUM | RW
.10 | UserName | DisplayString | RW
.11 | RemoteNumber | DisplayString | RW
.12 | RemoteSubaddress | OCTET STRING | RW
.13 | TypeOfLocalSubAdd | ENUM | RW
.14 | TypeOfRemoteSubAdd | ENUM | RW
.15 | MpsMsnIndex | INTEGER | RW
.16 | MpsMsnTrunkGroupIndex | INTEGER | RW
.17 | MpsExtensionIndex | INTEGER | RW
StkNumber
The ISDN stack number for this entry. Range: -1 to 31
Item
The item to connect this call to. Routing tasks (IP, IPX, X.25, bridging, ...) should use the ppp(1). For the isdnlogin program use the login(2) item. For CAPI 1.1 programs, use items eaz0(48) .. eaz9(57). Enumerations: ppp (1) login (2) delete (10) ppp-64k (11) ppp-56k (12) ppp-modem (13) ppp-dovb (14) ppp-v110-1200 (15) ppp-v110-2400 (16) ppp-v110-4800 (17) ppp-v110-9600 (18) ppp-v110-14400 (19) ppp-v110-19200 (20) ppp-v110-38400 (21) ppp-x75 (22) ppp-v120 (23) pots (25) ppp-modem-profile-1 (26) ppp-modem-profile-2 (27) ppp-modem-profile-3 (28) ppp-modem-profile-4 (29) ppp-modem-profile-5 (30) ppp-modem-profile-6 (31) ppp-modem-profile-7 (32) ppp-modem-profile-8 (33) ppp-dovb-64k (34) eaz0 (48) eaz1 (49) eaz2 (50) eaz3 (51) eaz4 (52) eaz5 (53) eaz6 (54) eaz7 (55) eaz8 (56) eaz9 (57) x25-pad (58) capi2 (59) ipsec (60) x25 (61) service-call (62)
LocalNumber
If the Called Party Number of the incoming call on the specified ISDN stack matches this value, the call is dispatched to the defined item. For outgoing calls from this item, the local number is sent as the Calling Party Number. Note: The matching of isdnDspLocalNumber value is done from right to left based on the number of digits in isdnDspLocalNumber. For example: if isdnDspLocalNumber is set to 124 then an incoming Called Party Number of 6501124 would match while one with 650024 would not. Length: 0 to 255
LocalSubaddress
If the Called Party Subaddress of the incoming call on the specified ISDN stack matches this value, the call is dispatched to the defined item. For outgoing calls from this item, the local subaddress is sent as the Calling Party Subaddress. Note: The matching of isdnDspLocalSubaddress values is done by comparing the entire string of numbers in the Called Party Subaddress field. For example: if issdnDspLocalSubaddress is set to 072522 then only calls with an incoming Called Party Subaddress of 072522 would match, i.e. one with 522 would not match. Nonetheless an empty string serves as a wildcard.
Bearer
The isdnDspBearer is used for dispatching different types of calls Enumerations: any (1) data (2) voice (3)
Slot
Identification number of the used slot. Range: 0 to 31
Unit
Identification number of the used unit. Range: 0 to 31
Direction
Specifies whether the entry is to be used for outgoing calls, incoming calls or both. Enumerations: incoming (1) outgoing (2) both (3)
Mode
This object specifies the matching direction for incoming calls. When set to right-to-left, the rightmost digits of the called address of an incoming call are compared against the LocalNumber. This is useful for normal basic rate interfaces without DDI, because only few last digits have to be specified to be unique. When set to left-to-right, the leftmost digits of an incoming call are compared against the LocalNumber. Only the latter mode may be used for direct dialing in (DDI). Enumerations: right-to-left (1) left-to-right (2)
UserName
The name of the user. Length: 0 to 15
RemoteNumber
If this variable is non-empty it defines which calling party number must be contained in an incoming call in order of this entry to match. Together with variables isdnDspRemoteSubaddress and isdnDspTypeOfRemoteSubAdd it allows call distribution based also on calling party parameters. There are no other wildcards available other than the empty string which matches any calling party number. Also no prefix or postfix is possible, either a number is specified here which needs to fully match on an incoming call or any calling party number will be accepted. Default value is the empty string, what serves as a wildcard. Length: 0 to 15
RemoteSubaddress
This variable specifies a calling party subaddress which must be contained in an incoming call when this entry. Right as with isdnDspRemoteNumber there are no wildcards available other than an empty string. Default value is the empty string.
TypeOfLocalSubAdd
The type of called subaddress may be specified here. Possible values are ... any(1) type of subaddress doesn't matter user(2) subaddress of type user (as of ETS 300 102) nsap(3) subaddress of type NSAP (as of ETS 300 102) none(4) no subaddress may be specified For the sake of backward compatibility an empty string in isdnDspLocalSubAddress still serves as wildcard causing types 'any', 'user' and 'nsap' to actually make no difference. Only value 'none' will in such a case prevent that an entry matches in case subaddress information (with arbitrary contents) is present. NOTE: Value any(1) in conjunction with a subaddress only makes sense for direction 'incoming' as for outoing calls a discrete value must be given. However, if such an entry (any(1) plus subaddress specified) matches, no subaddress information is provided in outgoing call. Default value is nsap (again for backward compatibility reasons). Enumerations: any (1) user (2) nsap (3) none (4)
TypeOfRemoteSubAdd
The type of calling subaddress may be specified here. Possible values are ... any(1) type of subaddress doesn't matter user(2) subaddress of type user (as of ETS 300 102) nsap(3) subaddress of type NSAP (as of ETS 300 102) none(4) no subaddress may be specified Handling of this variable is identical to that of isdnDspTypeOfLocalSubAdd. Default value is any. Enumerations: any (1) user (2) nsap (3) none (4)
MpsMsnIndex
This variable is only valid for devices with MPS. It defines, together with isdnDspMsnTrunkGroupIndex the external number and thereby overwrites isdnDspLocalNumber. The actual number is defined in mpsSubscriberNumberSimple table's variable mpsSubscriberNumberSimpleNumber where variables mpsSubscriberNumberSimpleIndex and mpsSubscriberNumberSimpleTrunkGroupIndex match. Default value is 0 being an invalid index, what fits best for devices w/o MPS subsystem.
MpsMsnTrunkGroupIndex
Determines isdnDspLocalNumber in devices with MPS subsystem. See description of isdnDspMsnIndex for further informations. Default value is 0 being an invalid index, what fits best for devices w/o MPS subsystem. Range: 0 to 65535
MpsExtensionIndex
For devices with MPS subsystem this variable references the mpsExtension table entry with a mpsExtensionIndex identical to the one specified in here. This variable is only needed for outgoing calls to allow for proper association within MPS subsystem of a call to a user to determine dial-out parameters. Default value is 0 being an invalid index, what fits best for devices w/o MPS subsystem. Range: 0 to 65535

MIB Reference to Software Version 10.2.12 generated on 2023/08/29. Provided by webmaster@bintec-elmeg.com Copyright ©2023 by bintec elmeg GmbH